#####################################################################
#                                                                   #
# /constants.py                                                     #
#                                                                   #
# Copyright 2013, Monash University                                 #
#                                                                   #
# This file is part of the program labscript, in the labscript      #
# suite (see http://labscriptsuite.org), and is licensed under the  #
# Simplified BSD License. See the license.txt file in the root of   #
# the project for the full license.                                 #
#                                                                   #
#####################################################################

"""Common constant factors for time and frequency"""

ns = 1e-9
"""Conversion factor between nanoseconds and seconds"""

us = 1e-6
"""Conversion factor between microseconds and seconds"""

ms = 1e-3
"""Conversion factor between milliseconds and seconds"""

s = 1
"""Conversion factor between seconds and seconds"""

Hz = 1
"""Conversion factor between hertz and hertz"""

kHz = 1e3
"""Conversion factor between kilohertz and hertz"""

MHz = 1e6
"""Conversion factor between megahertz and hertz"""

GHz = 1e9
"""Conversion factor between gigahertz and hertz"""
